Введення початкових залишків: методи API Bimp
Методи API Bimp для ресурсу «Введення початкових залишків» (/org2/enteringOpeningBalances/…): 4 методи. Базова адреса: https://app.bimpsoft.com. Усі запити, крім входу, передають токен компанії в заголовку access-token — див. Початок роботи з API.
Entering opening balances documents
| Метод | Що робить |
|---|---|
POST /org2/enteringOpeningBalances/api-readList | List entering opening balances documents |
POST /org2/enteringOpeningBalances/api-read | Read an entering opening balances document with stocks lines |
POST /org2/enteringOpeningBalances/api-create | Create an entering opening balances document |
POST /org2/enteringOpeningBalances/api-update | Update an entering opening balances document |
api-readList
POST /org2/enteringOpeningBalances/api-readList
List entering opening balances documents
Тіло запиту (JSON)
| Поле | Тип | Обов’язкове | Опис |
|---|---|---|---|
pagination | object | так | |
pagination.offset | number | так | Begin from {offset} elements |
pagination.count | number | так | Limit of paginated elemets |
periodable | object[] | Period range [from, to] (UTC ISO strings) | |
organizations | string (uuid)[] | A unique identifier for the Organization, obtainable from the /organization/api-readList request | |
comment | string | An optional text field for any additional notes or comments related to the document | |
showArchived | boolean | Include archived documents |
Відповідь: поле data
| Поле | Тип | Опис |
|---|---|---|
[].uuid | string (uuid) | A unique uuid key for the entering opening balances document |
[].name | string | Document display name |
[].number | string | The document’s number. Use this field if you need to specify a custom number |
[].date | string | The document’s date in the format ‘YYYY-MM-DDTHH:MM:SS’ (e.g., ‘2025-05-16T09:17:49’) |
[].comment | string | An optional text field for any additional notes or comments related to the document |
[].archived | boolean | Whether the document is archived |
[].organization | string (uuid) | null |
curl -X POST 'https://app.bimpsoft.com/org2/enteringOpeningBalances/api-readList' \
-H 'access-token: <токен компанії>' \
-H 'Content-Type: application/json' \
-d '{"pagination":{"offset":0,"count":10}}'
api-read
POST /org2/enteringOpeningBalances/api-read
Read an entering opening balances document with stocks lines
Тіло запиту (JSON)
| Поле | Тип | Обов’язкове | Опис |
|---|---|---|---|
uuid | string (uuid) | так | A unique uuid key for the entering opening balances document |
Відповідь: поле data
| Поле | Тип | Опис |
|---|---|---|
uuid | string (uuid) | A unique uuid key for the entering opening balances document |
name | string | Document display name |
number | string | The document’s number. Use this field if you need to specify a custom number |
date | string | The document’s date in the format ‘YYYY-MM-DDTHH:MM:SS’ (e.g., ‘2025-05-16T09:17:49’) |
comment | string | An optional text field for any additional notes or comments related to the document |
archived | boolean | Whether the document is archived |
organization | string (uuid) | null | |
author | string (uuid) | null | |
stocks | object[] | An array of product objects, representing the nomenclatures included in the document |
stocks[].nomenclature | string (uuid) | null | |
stocks[].warehouse | string (uuid) | null | |
stocks[].quantity | number | The amount of items |
stocks[].price | number | The price of the item/document |
stocks[].sum | number | The sum of the document |
stocks[].unitOfMeasurement | string (uuid) | null | |
stocks[].characteristic | string (uuid) | null | |
stocks[].party | string (uuid) | null | |
stocks[].comment | string | An optional text field for any additional notes or comments related to the document |
stocks[].serialNumbers | string (uuid)[] | Serial number UUIDs for this stock line |
curl -X POST 'https://app.bimpsoft.com/org2/enteringOpeningBalances/api-read' \
-H 'access-token: <токен компанії>' \
-H 'Content-Type: application/json' \
-d '{"uuid":"00000000-0000-0000-0000-000000000000"}'
api-create
POST /org2/enteringOpeningBalances/api-create
Create an entering opening balances document
Тіло запиту (JSON)
| Поле | Тип | Обов’язкове | Опис |
|---|---|---|---|
organization | string (uuid) | A unique identifier for the Organization, obtainable from the /organization/api-readList request | |
number | string | The document’s number. Use this field if you need to specify a custom number | |
date | string | The document’s date in the format ‘YYYY-MM-DDTHH:MM:SS’ (e.g., ‘2025-05-16T09:17:49’) | |
comment | string | An optional text field for any additional notes or comments related to the document | |
author | string (uuid) | A unique identifier for the Author, obtainable from the /user/api-readList request | |
stocks | object[] | так | An array of product objects, representing the nomenclatures included in the document |
stocks[].nomenclature | string (uuid) | так | A unique identifier for the Nomenclature, obtainable from the /nomenclature/api-readList request |
stocks[].warehouse | string (uuid) | так | A unique identifier for the Warehouse, obtainable from the /warehouse/api-readList request |
stocks[].quantity | number | так | The amount of items |
stocks[].price | number | так | The price of the item/document |
stocks[].unitOfMeasurement | string (uuid) | A unique identifier for the Unit of Measurement, obtainable from the /unitsOfMeasurment/api-readList request | |
stocks[].characteristic | string (uuid) | Nomenclature characteristic UUID | |
stocks[].party | string (uuid) | A unique identifier for the Party, obtainable from the party catalog | |
stocks[].comment | string | An optional text field for any additional notes or comments related to the document | |
stocks[].serialNumbers | string (uuid)[] | Serial number UUIDs for this stock line |
Відповідь: поле data
| Поле | Тип | Опис |
|---|---|---|
uuid | string (uuid) |
curl -X POST 'https://app.bimpsoft.com/org2/enteringOpeningBalances/api-create' \
-H 'access-token: <токен компанії>' \
-H 'Content-Type: application/json' \
-d '{"stocks":[{}]}'
api-update
POST /org2/enteringOpeningBalances/api-update
Update an entering opening balances document
Тіло запиту (JSON)
| Поле | Тип | Обов’язкове | Опис |
|---|---|---|---|
uuid | string (uuid) | так | A unique uuid key for the entering opening balances document |
organization | string (uuid) | A unique identifier for the Organization, obtainable from the /organization/api-readList request | |
number | string | The document’s number. Use this field if you need to specify a custom number | |
date | string | The document’s date in the format ‘YYYY-MM-DDTHH:MM:SS’ (e.g., ‘2025-05-16T09:17:49’) | |
comment | string | An optional text field for any additional notes or comments related to the document | |
author | string (uuid) | A unique identifier for the Author, obtainable from the /user/api-readList request | |
stocks | object[] | An array of product objects, representing the nomenclatures included in the document | |
stocks[].nomenclature | string (uuid) | так | A unique identifier for the Nomenclature, obtainable from the /nomenclature/api-readList request |
stocks[].warehouse | string (uuid) | так | A unique identifier for the Warehouse, obtainable from the /warehouse/api-readList request |
stocks[].quantity | number | так | The amount of items |
stocks[].price | number | так | The price of the item/document |
stocks[].unitOfMeasurement | string (uuid) | A unique identifier for the Unit of Measurement, obtainable from the /unitsOfMeasurment/api-readList request | |
stocks[].characteristic | string (uuid) | Nomenclature characteristic UUID | |
stocks[].party | string (uuid) | A unique identifier for the Party, obtainable from the party catalog | |
stocks[].comment | string | An optional text field for any additional notes or comments related to the document | |
stocks[].serialNumbers | string (uuid)[] | Serial number UUIDs for this stock line |
Відповідь: поле data
| Поле | Тип | Опис |
|---|---|---|
uuid | string (uuid) |
curl -X POST 'https://app.bimpsoft.com/org2/enteringOpeningBalances/api-update' \
-H 'access-token: <токен компанії>' \
-H 'Content-Type: application/json' \
-d '{"uuid":"00000000-0000-0000-0000-000000000000"}'
Інтерактивна документація з можливістю надіслати тестовий запит: https://app.bimpsoft.com/docs. Специфікація OpenAPI оновлюється разом із Bimp; ця сторінка згенерована з неї автоматично.